#<profile4xi profile = "10" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "sense_object4xi.py">
#<abstract4xi abstract = "provides function sense_object4xi"/>
#<refer4xi reference = "dragonxi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'sense_object4xi' ] 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread
    import _winapi
       
except:
    pass
try:                 # most-common ones
    pass         
except:
    pass
try:                 # rare ones
    pass          
except:
    pass 
try:                 # imported-as ones 
    pass          
except:
    pass            
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from all_methods4xi import all_methods4xi
from print4xi import print4xi
from time4xi import time4xi
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "sense-object4xi" usage = "
#   senses object and returns knowledgebase    
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def sense_object4xi(object):
    '''
    senses object and returns knowledgebase 
    '''
    class2print = "sense_object4xi"
    method2print = "sense_object4xi"
    
    # ---------------------------------------------------------------------------------------------    
    # (Step 1/3)
    # ---------------------------------------------------------------------------------------------         
       
    message2print = "{started" + "; sense-object4xi-started: " + str(sense_object4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
    
    message2print = "{passed" + "; object-passed-to-sense-object4xi: " + str(object) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   

    kb2xi = {}
     
    # ---------------------------------------------------------------------------------------------    
    # (Step 2/3)
    # ---------------------------------------------------------------------------------------------         
    try:     
        kb2xi = {'object': object}    
    except:
        pass

         
    # -------------------------------------------------------------------------------------------------
    # to-be-done                              
    # -------------------------------------------------------------------------------------------------    
    #<do4xi do = "
    #     add more knowledge to object sensing in the sense_object4xi.py; threading, os and sys info
    #"
    #/>
             
  
    
    # ---------------------------------------------------------------------------------------------    
    # (Step 3/3)
    # ---------------------------------------------------------------------------------------------         
                  
    message2print = "{returning" + "; kb2xi-returning-by-sense-object4xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)           
        
    return kb2xi

#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of sense_object4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



